SDHC_SRR_Type Union Reference

## Data Fields

struct {
uint8_t SWRSTALL:1
uint8_t SWRSTCMD:1
uint8_t SWRSTDAT:1
uint8_t __pad0__:5
} | bit
uint8_t | reg

## Detailed Description

Definition at line 703 of file sdhc.h.

## Field Documentation

## __pad0__

uint8_t SDHC_SRR_Type::__pad0__

bit: 3.. 7 Reserved

Definition at line 708 of file sdhc.h.

## bit

struct { ... } SDHC_SRR_Type::bit

Structure used for bit access

## reg

uint8_t SDHC_SRR_Type::reg

Type used for register access

Definition at line 710 of file sdhc.h.

## SWRSTALL

uint8_t SDHC_SRR_Type::SWRSTALL

bit: 0 Software Reset For All

Definition at line 705 of file sdhc.h.

## SWRSTCMD

uint8_t SDHC_SRR_Type::SWRSTCMD

bit: 1 Software Reset For CMD Line

Definition at line 706 of file sdhc.h.

## SWRSTDAT

uint8_t SDHC_SRR_Type::SWRSTDAT

bit: 2 Software Reset For DAT Line

Definition at line 707 of file sdhc.h.

The documentation for this union was generated from the following file:

- /storage/Shared/Documents/Projects/ePenguin/ePenguin-Software-Framework/arch/arm/SAME54/SAME54A/mcu/inc/component/sdhc.h